<?php

require('conexion.php');
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Ln(2);
    $this->SetFont('Arial','',12);
    $this->Cell(195, 3, utf8_decode('OPTI-DENT'), 0, 1, 'C');
    $this->Ln(4);
    $this->SetFont('Arial','',12);
    $this->Cell(195, 3, utf8_decode('INFORME DE SALDOS'), 0, 1, 'C');
    $this->SetFont('Arial','B',9);
    $this->Cell(80);
    // Título
    //---------------
    $this->Ln(5);
    $this->SetFillColor(232, 232, 232);
    $this->Ln(3);
    $this->Cell(60,3,'PACIENTE', 1, 0, 'C', 1);
    $this->Cell(30,3,'TOTAL CARGOS', 1, 0, 'C', 1);
    $this->Cell(30,3,'TOTAL ABONOS', 1, 0, 'C', 1);
    $this->Cell(30,3,'SALDO Q.', 1, 0, 'C', 1);
    
	
}

// Pie de página
function Footer()
{
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Arial italic 8
    $this->SetFont('Arial','I',9);
    // Número de página
    
    $this->Cell(0,10,utf8_decode('Página ') .$this->PageNo().'/{nb}',0,0,'C');
}

}

// Creación del objeto de la clase heredada
$pdf = new PDF('P','mm','Legal');//array(210,320)
//$pdf->SetMargins(20, 20, 10);
$pdf->AliasNbPages();
$pdf->AddPage();
//$pdf->SetAutoPageBreak(true,30);
$pdf->SetFont('Arial','',7);
//for($i=1;$i<=40;$i++)
//    $pdf->Cell(0,10,'Imprimiendo línea número '.$i,0,1);
//notas del estudiante

$query = "SELECT movimientos.IdTratamiento, SUM(Anexo) AS TotalCargos, SUM(Abono) AS TotalAbonos, 
SUM(Anexo) - SUM(Abono) AS TotalSaldo, paciente.Nombre AS PacienteNom, tratamiento.IdPaciente 
FROM movimientos, paciente, tratamiento 
WHERE movimientos.IdTratamiento = tratamiento.IdTratamiento AND paciente.IdPaciente = tratamiento.IdPaciente 
GROUP BY movimientos.IdTratamiento ";

//-------------------------
	$pdf->Ln(3);
  $resultado = $conexion->query($query);

  while ($row = $resultado->fetch_assoc())

{
  // code...

  $pdf->Cell(60,4,utf8_decode($row['PacienteNom']), 1, 0, 'L');
  $pdf->Cell(30,4,$row['TotalCargos'], 1, 0, 'R');
  $pdf->Cell(30,4,$row['TotalAbonos'], 1, 0, 'R');
  $pdf->Cell(30,4,$row['TotalSaldo'], 1, 1, 'R');

}

/*CALCULA LOS TOTALES*/


$pdf->Ln(10);
$pdf->SetFont('Arial','',8);
$pdf->Cell(25, 3, 'Fecha: '. date('Y-m-d'), 0, 1, 'R');
    
$pdf->Output();

?>