<?php

$FechaInicial = date("Y-m-d",strtotime($_POST['FechaInicial']));
$FechaFinal = date("Y-m-d",strtotime($_POST['FechaFinal']));

require('conexion.php');
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Ln(2);
    $this->SetFont('Arial','',12);
    $this->Cell(195, 3, utf8_decode('OPTI-DENT'), 0, 1, 'C');
    $this->Ln(4);
    $this->SetFont('Arial','',12);
    $this->Cell(195, 3, utf8_decode('INFORME DE MOVIMIENTOS'), 0, 1, 'C');
    $this->SetFont('Arial','B',8);
    $this->Cell(80);
    // Título
    //---------------
    $this->Ln(5);
    $this->SetFillColor(232, 232, 232);
    $this->Cell(195, 3, 'Del: '. date("Y-m-d",strtotime($_POST['FechaInicial'])) .' Al: ' . date("Y-m-d",strtotime($_POST['FechaFinal'])), 0, 1, 'C');
    $this->Ln(3);
    $this->Cell(25,3,'FECHA', 1, 0, 'C', 1);
    $this->Cell(65,3,'PACIENTE', 1, 0, 'C', 1);
    /*$this->Cell(30,3,'DOCTOR', 1, 0, 'C', 1);*/
    $this->Cell(80,3,'ANOTACIONES', 1, 0, 'C', 1);
    /*$this->Cell(20,3,'CARGO Q.', 1, 0, 'C', 1);*/
    $this->Cell(25,3,'INGRESOS Q.', 1, 0, 'C', 1);
	
}

// Pie de página
function Footer()
{
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Arial italic 8
    $this->SetFont('Arial','I',5);
    // Número de página
    
    //  $this->Cell(0,10,utf8_decode('Página ') .$this->PageNo().'/{nb}',0,0,'C');
}

}

// Creación del objeto de la clase heredada
$pdf = new PDF('P','mm','Legal');//array(210,320)
//$pdf->SetMargins(20, 20, 10);
$pdf->AliasNbPages();
$pdf->AddPage();
//$pdf->SetAutoPageBreak(true,30);
$pdf->SetFont('Arial','',7);
//for($i=1;$i<=40;$i++)
//    $pdf->Cell(0,10,'Imprimiendo línea número '.$i,0,1);
//notas del estudiante

$query = "SELECT tratamiento.IdTratamiento AS TratamientoNum, tratamiento.IdPaciente, paciente.Nombre AS PacienteNom, movimientos.IdTratamiento, movimientos.Fecha AS FecMovimiento, 
movimientos.Anotaciones, movimientos.Abono, movimientos.Tipo 
FROM tratamiento, paciente, movimientos 
WHERE tratamiento.IdPaciente = paciente.IdPaciente 
AND movimientos.IdTratamiento = tratamiento.IdTratamiento 
AND movimientos.Tipo = 'Abono'
AND movimientos.Fecha BETWEEN '$FechaInicial' AND '$FechaFinal'
ORDER BY movimientos.IdMovimiento ASC ";

//-------------------------
	$pdf->Ln(3);
  $resultado = $conexion->query($query);

  while ($row = $resultado->fetch_assoc())

{
  // code...

  $pdf->Cell(25,4,$row['FecMovimiento'], 1, 0, 'C');
  $pdf->Cell(65,4,utf8_decode($row['PacienteNom']), 1, 0, 'L');
  /*$pdf->Cell(30,4,utf8_decode($row['DoctorNom']), 1, 0, 'L');*/
  $pdf->Cell(80,4,utf8_decode($row['Anotaciones']), 1, 0, 'L');
  /*$pdf->Cell(20,4,$row['Anexo'], 1, 0, 'R');*/
  $pdf->Cell(25,4,$row['Abono'], 1, 1, 'R');

}

/*CALCULA LOS TOTALES*/

$SqlTOTALES = "SELECT SUM(Abono) AS TotalAbonos 
FROM movimientos WHERE movimientos.Fecha 
BETWEEN '$FechaInicial' AND '$FechaFinal'";

$Totales = $conexion->query($SqlTOTALES);
$filaTotales = mysqli_fetch_assoc($Totales);
$pdf->SetFont('Arial','B',9);
$pdf->Cell(170,4,'TOTAL Q.:', 1, 0, 'R');
/*$pdf->Cell(20,4,$filaTotales['TotalCargos'], 1, 0, 'R');*/
$pdf->Cell(25,4,$filaTotales['TotalAbonos'], 1, 1, 'R');


$pdf->Ln(10);
$pdf->SetFont('Arial','',8);
$pdf->Cell(25, 3, 'Fecha: '. date('Y-m-d'), 0, 1, 'R');
    
$pdf->Output();

?>